Issue 71860 - implement an API for operating on a living alive form
Summary: implement an API for operating on a living alive form
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: recent-trunk
Hardware: All All
: P3 Trivial (vote)
Target Milestone: OOo 2.2
Assignee: Frank Schönheit
QA Contact: issues@dba
URL:
Keywords: oooqa
Depends on:
Blocks: 63449
  Show dependency tree
 
Reported: 2006-11-22 14:57 UTC by Frank Schönheit
Modified: 2008-05-16 03:31 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Frank Schönheit 2006-11-22 14:57:00 UTC
There currently is no API for operating on a alive form (that is a logical form
in a document, which is loaded, has controls, and so on).

This makes it hard to access some functionality in scripts. For instance,
imagine a script which wants to save the potentially modified current record. It
must
- determine whether the actual control in the document view is modified
- if so, commit the control or its model (depending on which supports the
  XBoundComponent interface)
- determine whether the current record in the form is modified
- if not, exit.
- if yes, determine whether the form is currently positioned on the insertion row
- if so, call XResultSetUpdate.insertRow
- if not, call XResultSetUpdate.updateRow

Those steps are laborious and cumbersome to implement, not to mention that there
currently is not even an API access to the current control in the document view.

A lot of other functionality (nearly everything which is available in the form
navigation toolbar) suffers form the same problem: Implementing it properly,
using the API only, is difficult, up to impossible.

We will implement a dedicated API which provides an easy access to this.
Comment 1 Frank Schönheit 2006-11-22 22:02:25 UTC
implemented in CWS dba22a
Comment 2 Frank Schönheit 2006-11-27 11:14:19 UTC
verified the implementations did make it into CWS dba22a
Comment 3 Frank Schönheit 2006-11-27 12:46:29 UTC
targeting to 2.2, since the fix is part of a CWS aiming for this release
Comment 4 ace_dent 2008-05-16 03:31:10 UTC
This Issue is 'Verified' and not updated in 1yr+, so Closing.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~